{
  "margin-top": 0,
  "margin-left": 0,
  "margin-bottom": 0,
  "margin-right": 0,
  "height": 34,
  "layer": "bottom",
  "position": "top",
  "spacing": 0,
  "reload_style_on_change": true,
  "modules-left": [
    "custom/nomarchy",
    "hyprland/workspaces",
    "clock#date"
  ],
  "modules-center": [
    "clock"
  ],
  "modules-right": [
    "custom/recording",
    "idle_inhibitor",
    "custom/nightlight",
    "hyprland/language",
    "custom/updates",
    "pulseaudio",
    "custom/powerprofile",
    "battery",
    "custom/vpn",
    "custom/doctor",
    "custom/notification",
    "tray",
    "custom/powermenu"
  ],
  "custom/nomarchy": {
    "interval": "once",
    "format": "",
    "on-click": "nomarchy-menu",
    "tooltip-format": "Nomarchy menu"
  },
  "hyprland/workspaces": {
    "disable-scroll": true,
    "all-outputs": true,
    "on-click": "activate",
    "on-scroll-up": "hyprctl dispatch workspace r+1",
    "on-scroll-down": "hyprctl dispatch workspace r-1"
  },
  "clock": {
    "format": "{:%H:%M}",
    "on-click": "nomarchy-calendar",
    "tooltip": true,
    "tooltip-format": "{:%Z (UTC%z)}\n<tt><small>{calendar}</small></tt>"
  },
  "clock#date": {
    "format": "{:%a %d %b}",
    "tooltip": false
  },
  "custom/recording": {
    "return-type": "json",
    "interval": 10,
    "signal": 8,
    "exec": "nomarchy-record status",
    "on-click": "nomarchy-record stop"
  },
  "idle_inhibitor": {
    "format": "{icon}",
    "format-icons": {
      "activated": " 󰅶 ",
      "deactivated": " 󰾪 "
    }
  },
  "custom/nightlight": {
    "return-type": "json",
    "interval": 3,
    "exec": "nomarchy-nightlight status",
    "on-click": "nomarchy-nightlight toggle"
  },
  "hyprland/language": {
    "format": "<span size='13pt'>󰌌</span> {short}",
    "tooltip": false
  },
  "custom/updates": {
    "return-type": "json",
    "interval": 1800,
    "signal": 9,
    "exec": "nomarchy-updates status",
    "on-click": "sh -c '$TERMINAL -e nomarchy-updates upgrade'"
  },
  "pulseaudio": {
    "scroll-step": 5,
    "format": "<span size='13pt'>{icon}</span>  {volume}%",
    "format-bluetooth": "<span size='13pt'>{icon}</span>  {volume}%",
    "format-bluetooth-muted": " {icon}",
    "format-muted": "<span size='13pt'></span> muted",
    "format-icons": {
      "headphone": "",
      "hands-free": "",
      "headset": "",
      "phone": "",
      "portable": "",
      "car": "",
      "default": [
        "",
        "",
        ""
      ]
    },
    "on-click": "wpctl set-mute @DEFAULT_AUDIO_SINK@ toggle",
    "on-click-right": "pwvucontrol",
    "tooltip-format": "{desc} | {volume}%"
  },
  "custom/powerprofile": {
    "return-type": "json",
    "interval": 5,
    "exec": "nomarchy-powerprofile-status",
    "on-click": "nomarchy-menu powermgmt"
  },
  "battery": {
    "interval": 30,
    "states": {
      "warning": 25,
      "critical": 10
    },
    "format": "<span size='13pt'>{icon}</span>  {capacity}%",
    "format-charging": "<span size='13pt'></span> {capacity}%",
    "format-plugged": "<span size='13pt'></span> {capacity}%",
    "format-icons": [
      "",
      "",
      "",
      "",
      ""
    ],
    "on-click": "nomarchy-menu powermgmt",
    "tooltip-format": "Battery status"
  },
  "custom/vpn": {
    "return-type": "json",
    "interval": 5,
    "exec": "nomarchy-vpn-status",
    "on-click": "nomarchy-vpn"
  },
  "custom/doctor": {
    "return-type": "json",
    "format": "{}",
    "interval": 300,
    "signal": 10,
    "exec": "nomarchy-doctor-status",
    "on-click": "nomarchy-menu doctor"
  },
  "custom/notification": {
    "format": "{icon}",
    "return-type": "json",
    "exec": "swaync-client -swb",
    "exec-if": "which swaync-client",
    "escape": true,
    "tooltip": true,
    "on-click": "swaync-client -t -sw",
    "on-click-right": "swaync-client -d -sw",
    "format-icons": {
      "none": "󰂜",
      "notification": "󰂚",
      "dnd-none": "󰂛",
      "dnd-notification": "󰂛",
      "inhibited-none": "󰂛",
      "inhibited-notification": "󰂛",
      "dnd-inhibited-none": "󰂛",
      "dnd-inhibited-notification": "󰂛"
    }
  },
  "tray": {
    "spacing": 8
  },
  "custom/powermenu": {
    "format": "",
    "on-click": "nomarchy-menu power",
    "tooltip": false
  }
}
